## EXPORT_SPEC int ixmlDocument_createAttributeNSEx

## (IXML_Document* doc,
DOMString namespaceURI,
DOMString qualifiedName,
IXML_Attr** attrNode )

> Creates a new Attr node with the given qualified name and namespace URI.

## Documentation

> Creates a new Attr node with the given qualified name and namespace URI.

> The ixmlDocument_createAttributeNSEx API differs from the ixmlDocument_createAttributeNS API in that it returns an error code describing the reason for failure rather than just `NULL`.

Parameters:
  doc - The owner Document of the new Attr.
  namespaceURI - The namespace URI for the attribute.
  qualifiedName - The qualified name of the attribute.
  attrNode - A pointer to an Attr where the new object will be stored.
Returns:
  [int] An integer representing one of the following:
  - `IXML_SUCCESS`: The operation completed successfully.
  - `IXML_INVALID_PARAMETER`: Either doc, namespaceURI, or qualifiedName is `NULL`.
  - `IXML_INSUFFICIENT_MEMORY`: Not enough free memory exists to complete this operation.

Alphabetic index

This page was generated with the help of DOC++.